Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Subversive » Tip for improvement
Tip for improvement [message #34677] Wed, 01 October 2008 05:43 Go to next message
Eclipse User
Originally posted by: david.balazic.hermes.si.foo

(sending here as the Send tip ... dialog requires additional coponents
to work)


Summary: Installation is too complex.

Details:


Hi!

Installation is too complex. (I have Eclipse 3.4.1 - from download
eclipse-cpp-ganymede-SR1-win32.zip)
- first I installed "Subversive SVN Team Provider (Incubation)"
0.7.3.I20080814-1500
on use it gave an error, about connectors...
- after searching the http://www.eclipse.org/subversive/downloads.php
page I went to
http://www.polarion.com/products/svn/subversive.php?src=ecli pseproject
and added the update site
http://www.polarion.org/projects/subversive/download/eclipse /2.0/ganymede-site/
to eclipse.
- I installed "SVNKit 1.1.7 Implementation" 2.0.1
- it still does not work (complain about connectors):

Get repository folder children operation failed.
Selected SVN connector library is not available or cannot be loaded.
If you selected native JavaHL connector, please check if binaries are
available or install and select pure Java Subversion connector from the
plug-in connectors update site.
If connectors already installed then you can change the selected one at:
Window->Preferences->Team->SVN->SVN Client.

(the Preferences location is wrong, there is no "SVN Client" option or tab)

- I also installed "JavaHL 1.4.5 Win32 Binaries" 2.0.1
- same error

The "Window->Preferences->Team->SVN->SVN Connector" page does not offer
any connectors. The dropdown list is empty.


I will go use subclipse now, as I need SVN functionality urgently.
(read: I can not devote hours for testing subversive)

Regards,
David BalaĹžic
Re: Tip for improvement [message #34711 is a reply to message #34677] Wed, 01 October 2008 22:34 Go to previous messageGo to next message
Neil Lalonde is currently offline Neil Lalonde
Messages: 2
Registered: July 2009
Junior Member
I am having the same problem on Mac OS X.

New install of "Eclipse IDE for Java Developers" Version: 3.4.1, Build id:
M20080911-1700.

Install of Subversive plugins was successful, but no SVN Connectors are
available.

Eclipse > Preferences... > Team > SVN > SVN Connectors dropdown list is
empty.

Trying to connect to an SVN repository fails because there are no
connectors available.

Version: 0.7.3.I20080814-1500
SVN Client: Error.NoSVNClient

I followed the same process on Eclipse for Windows XP last week and got
Subversive working successfully, aside from the very confusing
installation instructions, which I needed to find on someone's blog!
Usability of Subclipse (and many Eclipse plugins) is awful.

My guess is that there is something wrong with the latest version of
Subclipse and/or Eclipse. It would be interesting to know if the same
problem exists on other platforms besides OS X.
Re: Tip for improvement [message #35050 is a reply to message #34711] Mon, 06 October 2008 04:25 Go to previous message
David Pochet is currently offline David Pochet
Messages: 10
Registered: July 2009
Junior Member
Hi all,

I've just experienced the same issue: no SVN connectors in the drop-down
list on 3.4.1...

Let's go back to 3.4...
Previous Topic:Transition to 2.0.4 Connectors: update site issues?
Next Topic:svn 1.5 merge tracking
Goto Forum:
  


Current Time: Thu Jul 24 02:45:24 EDT 2014

Powered by FUDForum. Page generated in 0.05013 seconds